---
type: api
title: Update filtered group of proxies
description: > WARNING
url: https://www.elastic.co/docs/api/doc/cloud-enterprise/v4/operation/operation-update-proxies-filtered-group
resource: https://www.elastic.co/docs/api/doc/cloud-enterprise/v4/operation/operation-update-proxies-filtered-group
products:
  - Elastic Cloud Enterprise
---

# Update filtered group of proxies

Authentication: required

## Paths

- `PUT` `/platform/infrastructure/proxies/filtered-groups/{proxies_filtered_group_id}`

#### Path parameters

- `proxies_filtered_group_id` (string) — required
  "The identifier for the filtered group of proxies

## Description

> WARNING
> This endpoint is deprecated and scheduled to be removed in the next major version.

Update the settings for a filtered group of proxies.

## Query string parameters

- `version` (string) — optional
  Checks for conflicts against the metadata version, then returns the value in the `x-cloud-resource-version` header.

## Request body

Data for the filtered group of proxies to update

`application/json`

- `id` (string) — optional
  Identifier of the filtered group of proxies
- `filters` (object[]) — required
  Filters to be matched
  - `key` (string) — required
    Key of the proxy metadata item to be matched
  - `value` (string) — required
    Value of the proxy metadata item to be matched
- `expected_proxies_count` (integer · format: int32) — required
  Expected minimum number of proxies matching all filters in this group

## Responses

#### `200`

Returns the created or updated filtered group of proxies

`application/json`

- `id` (string)
  Identifier of the filtered group of proxies
- `filters` (object[])
  Filters to be matched
  - `key` (string)
    Key of the proxy metadata item to be matched
  - `value` (string)
    Value of the proxy metadata item to be matched
- `expected_proxies_count` (integer · format: int32)
  Expected minimum number of proxies matching all filters in this group
##### Response headers

- `x-cloud-resource-version` (string)
  The resource version, which is used to avoid update conflicts with concurrent operations
- `x-cloud-resource-created` (string)
  The date-time when the resource was created (ISO format relative to UTC)
- `x-cloud-resource-last-modified` (string)
  The date-time when the resource was last modified (ISO format relative to UTC)

#### `400`

The provided identifier doesn't match the identifier in the object. (code: `proxies.proxies_filtered_group_id_conflict`)

`application/json`

- `errors` (object[])
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` (string[])
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `409`

There is a version conflict. (code: `proxies.proxies_filtered_group_version_conflict`)

`application/json`

- `errors` (object[])
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` (string[])
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code examples

#### curl

```curl
curl -X PUT "${API_URL}/platform/infrastructure/proxies/filtered-groups/${PROXIES_FILTERED_GROUP_ID}" \
  -u "${USERNAME}:${PASSWORD}" \
  -H "Content-Type: application/json" \
  -d '{
    "filters": [
      {
        "key": "string",
        "value": "string"
      }
    ],
    "expected_proxies_count": 0
  }'
```

## Response examples

#### 200

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "id": "string",
  "filters": [
    {
      "key": "string",
      "value": "string"
    }
  ],
  "expected_proxies_count": 0
}
```

#### 400

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "errors": [
    {
      "code": "string",
      "message": "string",
      "fields": [
        "string"
      ]
    }
  ]
}
```

#### 409

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "errors": [
    {
      "code": "string",
      "message": "string",
      "fields": [
        "string"
      ]
    }
  ]
}
```

